import{S as sn,i as on,s as an,e as a,k as m,w as v,t as l,M as rn,c as r,d as s,m as h,a as n,x as $,h as i,b as c,G as t,g as u,y,q as N,o as T,B as R,v as nn,L as fs}from"../../chunks/vendor-hf-doc-builder.js";import{T as Ks}from"../../chunks/Tip-hf-doc-builder.js";import{D as Z}from"../../chunks/Docstring-hf-doc-builder.js";import{C as ps}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as ke}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as cs}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{P as ln}from"../../chunks/PipelineTag-hf-doc-builder.js";function dn(k){let d,b,_,g,w;return g=new ps({props:{code:`from transformers import RegNetConfig, RegNetModel

# Initializing a RegNet regnet-y-40 style configuration
configuration = RegNetConfig()
# Initializing a model from the regnet-y-40 style configuration
model = RegNetModel(configuration)
# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> RegNetConfig, RegNetModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a RegNet regnet-y-40 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = RegNetConfig()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model from the regnet-y-40 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = RegNetModel(configuration)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=a("p"),b=l("Example:"),_=m(),v(g.$$.fragment)},l(o){d=r(o,"P",{});var p=n(d);b=i(p,"Example:"),p.forEach(s),_=h(o),$(g.$$.fragment,o)},m(o,p){u(o,d,p),t(d,b),u(o,_,p),y(g,o,p),w=!0},p:fs,i(o){w||(N(g.$$.fragment,o),w=!0)},o(o){T(g.$$.fragment,o),w=!1},d(o){o&&s(d),o&&s(_),R(g,o)}}}function cn(k){let d,b,_,g,w;return{c(){d=a("p"),b=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),g=l("Module"),w=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(o){d=r(o,"P",{});var p=n(d);b=i(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r(p,"CODE",{});var F=n(_);g=i(F,"Module"),F.forEach(s),w=i(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(s)},m(o,p){u(o,d,p),t(d,b),t(d,_),t(_,g),t(d,w)},d(o){o&&s(d)}}}function fn(k){let d,b,_,g,w;return g=new ps({props:{code:`from transformers import AutoImageProcessor, RegNetModel
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/regnet-y-040")
model = RegNetModel.from_pretrained("facebook/regnet-y-040")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, RegNetModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = RegNetModel.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">1088</span>, <span class="hljs-number">7</span>, <span class="hljs-number">7</span>]`}}),{c(){d=a("p"),b=l("Example:"),_=m(),v(g.$$.fragment)},l(o){d=r(o,"P",{});var p=n(d);b=i(p,"Example:"),p.forEach(s),_=h(o),$(g.$$.fragment,o)},m(o,p){u(o,d,p),t(d,b),u(o,_,p),y(g,o,p),w=!0},p:fs,i(o){w||(N(g.$$.fragment,o),w=!0)},o(o){T(g.$$.fragment,o),w=!1},d(o){o&&s(d),o&&s(_),R(g,o)}}}function pn(k){let d,b,_,g,w;return{c(){d=a("p"),b=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),g=l("Module"),w=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(o){d=r(o,"P",{});var p=n(d);b=i(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r(p,"CODE",{});var F=n(_);g=i(F,"Module"),F.forEach(s),w=i(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(s)},m(o,p){u(o,d,p),t(d,b),t(d,_),t(_,g),t(d,w)},d(o){o&&s(d)}}}function gn(k){let d,b,_,g,w;return g=new ps({props:{code:`from transformers import AutoImageProcessor, RegNetForImageClassification
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/regnet-y-040")
model = RegNetForImageClassification.from_pretrained("facebook/regnet-y-040")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

# model predicts one of the 1000 ImageNet classes
predicted_label = logits.argmax(-1).item()
print(model.config.id2label[predicted_label])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, RegNetForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = RegNetForImageClassification.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = logits.argmax(-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(model.config.id2label[predicted_label])
tabby, tabby cat`}}),{c(){d=a("p"),b=l("Example:"),_=m(),v(g.$$.fragment)},l(o){d=r(o,"P",{});var p=n(d);b=i(p,"Example:"),p.forEach(s),_=h(o),$(g.$$.fragment,o)},m(o,p){u(o,d,p),t(d,b),u(o,_,p),y(g,o,p),w=!0},p:fs,i(o){w||(N(g.$$.fragment,o),w=!0)},o(o){T(g.$$.fragment,o),w=!1},d(o){o&&s(d),o&&s(_),R(g,o)}}}function mn(k){let d,b,_,g,w;return{c(){d=a("p"),b=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),g=l("Module"),w=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(o){d=r(o,"P",{});var p=n(d);b=i(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r(p,"CODE",{});var F=n(_);g=i(F,"Module"),F.forEach(s),w=i(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(s)},m(o,p){u(o,d,p),t(d,b),t(d,_),t(_,g),t(d,w)},d(o){o&&s(d)}}}function hn(k){let d,b,_,g,w;return g=new ps({props:{code:`from transformers import AutoImageProcessor, TFRegNetModel
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/regnet-y-040")
model = TFRegNetModel.from_pretrained("facebook/regnet-y-040")

inputs = image_processor(image, return_tensors="tf")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, TFRegNetModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFRegNetModel.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">1088</span>, <span class="hljs-number">7</span>, <span class="hljs-number">7</span>]`}}),{c(){d=a("p"),b=l("Example:"),_=m(),v(g.$$.fragment)},l(o){d=r(o,"P",{});var p=n(d);b=i(p,"Example:"),p.forEach(s),_=h(o),$(g.$$.fragment,o)},m(o,p){u(o,d,p),t(d,b),u(o,_,p),y(g,o,p),w=!0},p:fs,i(o){w||(N(g.$$.fragment,o),w=!0)},o(o){T(g.$$.fragment,o),w=!1},d(o){o&&s(d),o&&s(_),R(g,o)}}}function un(k){let d,b,_,g,w;return{c(){d=a("p"),b=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),g=l("Module"),w=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(o){d=r(o,"P",{});var p=n(d);b=i(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r(p,"CODE",{});var F=n(_);g=i(F,"Module"),F.forEach(s),w=i(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(s)},m(o,p){u(o,d,p),t(d,b),t(d,_),t(_,g),t(d,w)},d(o){o&&s(d)}}}function _n(k){let d,b,_,g,w;return g=new ps({props:{code:`from transformers import AutoImageProcessor, TFRegNetForImageClassification
import tensorflow as tf
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/regnet-y-040")
model = TFRegNetForImageClassification.from_pretrained("facebook/regnet-y-040")

inputs = image_processor(image, return_tensors="tf")
logits = model(**inputs).logits

# model predicts one of the 1000 ImageNet classes
predicted_label = int(tf.math.argmax(logits, axis=-1))
print(model.config.id2label[predicted_label])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, TFRegNetForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFRegNetForImageClassification.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = <span class="hljs-built_in">int</span>(tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(model.config.id2label[predicted_label])
tabby, tabby cat`}}),{c(){d=a("p"),b=l("Example:"),_=m(),v(g.$$.fragment)},l(o){d=r(o,"P",{});var p=n(d);b=i(p,"Example:"),p.forEach(s),_=h(o),$(g.$$.fragment,o)},m(o,p){u(o,d,p),t(d,b),u(o,_,p),y(g,o,p),w=!0},p:fs,i(o){w||(N(g.$$.fragment,o),w=!0)},o(o){T(g.$$.fragment,o),w=!1},d(o){o&&s(d),o&&s(_),R(g,o)}}}function wn(k){let d,b,_,g,w,o,p,F,Js,gs,D,ee,Mt,Fe,Qs,qt,Xs,ms,te,Ys,Ie,Zs,eo,hs,dt,to,us,ct,so,_s,ft,zt,oo,ws,pt,ao,bs,se,Ee,ro,gt,no,lo,io,oe,co,je,fo,po,xe,go,vs,I,mo,Ce,ho,uo,Pe,_o,wo,Ae,bo,vo,Me,$o,yo,$s,L,ae,St,qe,No,Ot,To,ys,mt,Ro,Ns,ze,Ts,re,S,ht,ko,Fo,Se,Io,Eo,Oe,jo,xo,Co,ut,Po,_t,Ao,Rs,wt,Mo,ks,W,ne,Dt,De,qo,Lt,zo,Fs,E,Le,So,H,Oo,bt,Do,Lo,We,Wo,Ho,Uo,U,Vo,vt,Bo,Go,$t,Ko,Jo,Qo,le,Is,V,ie,Wt,He,Xo,Ht,Yo,Es,M,Ue,Zo,Ve,ea,Be,ta,sa,oa,x,Ge,aa,B,ra,yt,na,la,Ut,ia,da,ca,de,fa,ce,js,G,fe,Vt,Ke,pa,Bt,ga,xs,j,Je,ma,Gt,ha,ua,Qe,_a,Xe,wa,ba,va,C,Ye,$a,K,ya,Nt,Na,Ta,Kt,Ra,ka,Fa,pe,Ia,ge,Cs,J,me,Jt,Ze,Ea,Qt,ja,Ps,q,et,xa,Xt,Ca,Pa,P,tt,Aa,Q,Ma,Tt,qa,za,Yt,Sa,Oa,Da,he,La,ue,As,X,_e,Zt,st,Wa,es,Ha,Ms,z,ot,Ua,ts,Va,Ba,A,at,Ga,Y,Ka,Rt,Ja,Qa,ss,Xa,Ya,Za,we,er,be,qs;return o=new ke({}),Fe=new ke({}),qe=new ke({}),ze=new ln({props:{pipeline:"image-classification"}}),De=new ke({}),Le=new Z({props:{name:"class transformers.RegNetConfig",anchor:"transformers.RegNetConfig",parameters:[{name:"num_channels",val:" = 3"},{name:"embedding_size",val:" = 32"},{name:"hidden_sizes",val:" = [128, 192, 512, 1088]"},{name:"depths",val:" = [2, 6, 12, 2]"},{name:"groups_width",val:" = 64"},{name:"layer_type",val:" = 'y'"},{name:"hidden_act",val:" = 'relu'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.RegNetConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of input channels.`,name:"num_channels"},{anchor:"transformers.RegNetConfig.embedding_size",description:`<strong>embedding_size</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
Dimensionality (hidden size) for the embedding layer.`,name:"embedding_size"},{anchor:"transformers.RegNetConfig.hidden_sizes",description:`<strong>hidden_sizes</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[256, 512, 1024, 2048]</code>) &#x2014;
Dimensionality (hidden size) at each stage.`,name:"hidden_sizes"},{anchor:"transformers.RegNetConfig.depths",description:`<strong>depths</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[3, 4, 6, 3]</code>) &#x2014;
Depth (number of layers) for each stage.`,name:"depths"},{anchor:"transformers.RegNetConfig.layer_type",description:`<strong>layer_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;y&quot;</code>) &#x2014;
The layer to use, it can be either <code>&quot;x&quot; or </code>&#x201C;y&#x201D;<code>. An </code>x<code>layer is a ResNet&apos;s BottleNeck layer with</code>reduction<code>fixed to</code>1<code>. While a </code>y<code>layer is a</code>x\` but with squeeze and excitation. Please refer to the
paper for a detailed explanation of how these layers were constructed.`,name:"layer_type"},{anchor:"transformers.RegNetConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;relu&quot;</code>) &#x2014;
The non-linear activation function in each block. If string, <code>&quot;gelu&quot;</code>, <code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code>
are supported.`,name:"hidden_act"},{anchor:"transformers.RegNetConfig.downsample_in_first_stage",description:`<strong>downsample_in_first_stage</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
If <code>True</code>, the first stage will downsample the inputs using a <code>stride</code> of 2.`,name:"downsample_in_first_stage"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/regnet/configuration_regnet.py#L28"}}),le=new cs({props:{anchor:"transformers.RegNetConfig.example",$$slots:{default:[dn]},$$scope:{ctx:k}}}),He=new ke({}),Ue=new Z({props:{name:"class transformers.RegNetModel",anchor:"transformers.RegNetModel",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.RegNetModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/regnet#transformers.RegNetConfig">RegNetConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/regnet/modeling_regnet.py#L331"}}),Ge=new Z({props:{name:"forward",anchor:"transformers.RegNetModel.forward",parameters:[{name:"pixel_values",val:": Tensor"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.RegNetModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/main/en/model_doc/vit#transformers.ViTFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.RegNetModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.RegNetModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/regnet/modeling_regnet.py#L341",returnDescription:`
<p>A <code>transformers.modeling_outputs.BaseModelOutputWithPoolingAndNoAttention</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/regnet#transformers.RegNetConfig"
>RegNetConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state after a pooling operation on the spatial dimensions.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, num_channels, height, width)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_outputs.BaseModelOutputWithPoolingAndNoAttention</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),de=new Ks({props:{$$slots:{default:[cn]},$$scope:{ctx:k}}}),ce=new cs({props:{anchor:"transformers.RegNetModel.forward.example",$$slots:{default:[fn]},$$scope:{ctx:k}}}),Ke=new ke({}),Je=new Z({props:{name:"class transformers.RegNetForImageClassification",anchor:"transformers.RegNetForImageClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.RegNetForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/regnet#transformers.RegNetConfig">RegNetConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/regnet/modeling_regnet.py#L385"}}),Ye=new Z({props:{name:"forward",anchor:"transformers.RegNetForImageClassification.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.RegNetForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/main/en/model_doc/vit#transformers.ViTFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.RegNetForImageClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.RegNetForImageClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.RegNetForImageClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/regnet/modeling_regnet.py#L398",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/regnet#transformers.RegNetConfig"
>RegNetConfig</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</li>
<li><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</li>
<li><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each stage) of shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also
called feature maps) of the model at the output of each stage.</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),pe=new Ks({props:{$$slots:{default:[pn]},$$scope:{ctx:k}}}),ge=new cs({props:{anchor:"transformers.RegNetForImageClassification.forward.example",$$slots:{default:[gn]},$$scope:{ctx:k}}}),Ze=new ke({}),et=new Z({props:{name:"class transformers.TFRegNetModel",anchor:"transformers.TFRegNetModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFRegNetModel.This",description:`<strong>This</strong> model is a Tensorflow &#x2014;
[tf.keras.layers.Layer](https &#x2014;//<a href="http://www.tensorflow.org/api_docs/python/tf/keras/layers/Layer" rel="nofollow">www.tensorflow.org/api_docs/python/tf/keras/layers/Layer</a>) sub-class. Use it as a`,name:"This"},{anchor:"transformers.TFRegNetModel.regular",description:`<strong>regular</strong> Tensorflow Module and refer to the Tensorflow documentation for all matter related to general usage and &#x2014;
behavior. &#x2014;
config (<a href="/docs/transformers/main/en/model_doc/regnet#transformers.RegNetConfig">RegNetConfig</a>): Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"regular"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/regnet/modeling_tf_regnet.py#L405"}}),tt=new Z({props:{name:"call",anchor:"transformers.TFRegNetModel.call",parameters:[{name:"pixel_values",val:": Tensor"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:" = False"}],parametersDescription:[{anchor:"transformers.TFRegNetModel.call.pixel_values",description:`<strong>pixel_values</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<code>ConveNextImageProcessor.__call__</code> for details.`,name:"pixel_values"},{anchor:"transformers.TFRegNetModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TFRegNetModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/regnet/modeling_tf_regnet.py#L410",returnDescription:`
<p>A <code>transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndNoAttention</code> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/regnet#transformers.RegNetConfig"
>RegNetConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state after a pooling operation on the spatial dimensions.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings, if the model has an embedding layer, + one for
the output of each layer) of shape <code>(batch_size, num_channels, height, width)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndNoAttention</code> or <code>tuple(tf.Tensor)</code></p>
`}}),he=new Ks({props:{$$slots:{default:[mn]},$$scope:{ctx:k}}}),ue=new cs({props:{anchor:"transformers.TFRegNetModel.call.example",$$slots:{default:[hn]},$$scope:{ctx:k}}}),st=new ke({}),ot=new Z({props:{name:"class transformers.TFRegNetForImageClassification",anchor:"transformers.TFRegNetForImageClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFRegNetForImageClassification.This",description:`<strong>This</strong> model is a Tensorflow &#x2014;
[tf.keras.layers.Layer](https &#x2014;//<a href="http://www.tensorflow.org/api_docs/python/tf/keras/layers/Layer" rel="nofollow">www.tensorflow.org/api_docs/python/tf/keras/layers/Layer</a>) sub-class. Use it as a`,name:"This"},{anchor:"transformers.TFRegNetForImageClassification.regular",description:`<strong>regular</strong> Tensorflow Module and refer to the Tensorflow documentation for all matter related to general usage and &#x2014;
behavior. &#x2014;
config (<a href="/docs/transformers/main/en/model_doc/regnet#transformers.RegNetConfig">RegNetConfig</a>): Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"regular"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/regnet/modeling_tf_regnet.py#L464"}}),at=new Z({props:{name:"call",anchor:"transformers.TFRegNetForImageClassification.call",parameters:[{name:"pixel_values",val:": Tensor = None"},{name:"labels",val:": Tensor = None"},{name:"output_hidden_states",val:": bool = None"},{name:"return_dict",val:": bool = None"},{name:"training",val:" = False"}],parametersDescription:[{anchor:"transformers.TFRegNetForImageClassification.call.pixel_values",description:`<strong>pixel_values</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<code>ConveNextImageProcessor.__call__</code> for details.`,name:"pixel_values"},{anchor:"transformers.TFRegNetForImageClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TFRegNetForImageClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.TFRegNetForImageClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/regnet/modeling_tf_regnet.py#L475",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/regnet#transformers.RegNetConfig"
>RegNetConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),we=new Ks({props:{$$slots:{default:[un]},$$scope:{ctx:k}}}),be=new cs({props:{anchor:"transformers.TFRegNetForImageClassification.call.example",$$slots:{default:[_n]},$$scope:{ctx:k}}}),{c(){d=a("meta"),b=m(),_=a("h1"),g=a("a"),w=a("span"),v(o.$$.fragment),p=m(),F=a("span"),Js=l("RegNet"),gs=m(),D=a("h2"),ee=a("a"),Mt=a("span"),v(Fe.$$.fragment),Qs=m(),qt=a("span"),Xs=l("Overview"),ms=m(),te=a("p"),Ys=l("The RegNet model was proposed in "),Ie=a("a"),Zs=l("Designing Network Design Spaces"),eo=l(" by Ilija Radosavovic, Raj Prateek Kosaraju, Ross Girshick, Kaiming He, Piotr Doll\xE1r."),hs=m(),dt=a("p"),to=l("The authors design search spaces to perform Neural Architecture Search (NAS). They first start from a high dimensional search space and iteratively reduce the search space by empirically applying constraints based on the best-performing models sampled by the current search space."),us=m(),ct=a("p"),so=l("The abstract from the paper is the following:"),_s=m(),ft=a("p"),zt=a("em"),oo=l("In this work, we present a new network design paradigm. Our goal is to help advance the understanding of network design and discover design principles that generalize across settings. Instead of focusing on designing individual network instances, we design network design spaces that parametrize populations of networks. The overall process is analogous to classic manual design of networks, but elevated to the design space level. Using our methodology we explore the structure aspect of network design and arrive at a low-dimensional design space consisting of simple, regular networks that we call RegNet. The core insight of the RegNet parametrization is surprisingly simple: widths and depths of good networks can be explained by a quantized linear function. We analyze the RegNet design space and arrive at interesting findings that do not match the current practice of network design. The RegNet design space provides simple and fast networks that work well across a wide range of flop regimes. Under comparable training settings and flops, the RegNet models outperform the popular EfficientNet models while being up to 5x faster on GPUs."),ws=m(),pt=a("p"),ao=l("Tips:"),bs=m(),se=a("ul"),Ee=a("li"),ro=l("One can use "),gt=a("a"),no=l("AutoImageProcessor"),lo=l(" to prepare images for the model."),io=m(),oe=a("li"),co=l("The huge 10B model from "),je=a("a"),fo=l("Self-supervised Pretraining of Visual Features in the Wild"),po=l(", trained on one billion Instagram images, is available on the "),xe=a("a"),go=l("hub"),vs=m(),I=a("p"),mo=l("This model was contributed by "),Ce=a("a"),ho=l("Francesco"),uo=l(`. The TensorFlow version of the model
was contributed by `),Pe=a("a"),_o=l("sayakpaul"),wo=l(" and "),Ae=a("a"),bo=l("ariG23498"),vo=l(`.
The original code can be found `),Me=a("a"),$o=l("here"),yo=l("."),$s=m(),L=a("h2"),ae=a("a"),St=a("span"),v(qe.$$.fragment),No=m(),Ot=a("span"),To=l("Resources"),ys=m(),mt=a("p"),Ro=l("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with RegNet."),Ns=m(),v(ze.$$.fragment),Ts=m(),re=a("ul"),S=a("li"),ht=a("a"),ko=l("RegNetForImageClassification"),Fo=l(" is supported by this "),Se=a("a"),Io=l("example script"),Eo=l(" and "),Oe=a("a"),jo=l("notebook"),xo=l("."),Co=m(),ut=a("li"),Po=l("See also: "),_t=a("a"),Ao=l("Image classification task guide"),Rs=m(),wt=a("p"),Mo=l("If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),ks=m(),W=a("h2"),ne=a("a"),Dt=a("span"),v(De.$$.fragment),qo=m(),Lt=a("span"),zo=l("RegNetConfig"),Fs=m(),E=a("div"),v(Le.$$.fragment),So=m(),H=a("p"),Oo=l("This is the configuration class to store the configuration of a "),bt=a("a"),Do=l("RegNetModel"),Lo=l(`. It is used to instantiate a RegNet
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the RegNet
`),We=a("a"),Wo=l("facebook/regnet-y-040"),Ho=l(" architecture."),Uo=m(),U=a("p"),Vo=l("Configuration objects inherit from "),vt=a("a"),Bo=l("PretrainedConfig"),Go=l(` and can be used to control the model outputs. Read the
documentation from `),$t=a("a"),Ko=l("PretrainedConfig"),Jo=l(" for more information."),Qo=m(),v(le.$$.fragment),Is=m(),V=a("h2"),ie=a("a"),Wt=a("span"),v(He.$$.fragment),Xo=m(),Ht=a("span"),Yo=l("RegNetModel"),Es=m(),M=a("div"),v(Ue.$$.fragment),Zo=m(),Ve=a("p"),ea=l(`The bare RegNet model outputting raw features without any specific head on top.
This model is a PyTorch `),Be=a("a"),ta=l("torch.nn.Module"),sa=l(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),oa=m(),x=a("div"),v(Ge.$$.fragment),aa=m(),B=a("p"),ra=l("The "),yt=a("a"),na=l("RegNetModel"),la=l(" forward method, overrides the "),Ut=a("code"),ia=l("__call__"),da=l(" special method."),ca=m(),v(de.$$.fragment),fa=m(),v(ce.$$.fragment),js=m(),G=a("h2"),fe=a("a"),Vt=a("span"),v(Ke.$$.fragment),pa=m(),Bt=a("span"),ga=l("RegNetForImageClassification"),xs=m(),j=a("div"),v(Je.$$.fragment),ma=m(),Gt=a("p"),ha=l(`RegNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),ua=m(),Qe=a("p"),_a=l("This model is a PyTorch "),Xe=a("a"),wa=l("torch.nn.Module"),ba=l(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),va=m(),C=a("div"),v(Ye.$$.fragment),$a=m(),K=a("p"),ya=l("The "),Nt=a("a"),Na=l("RegNetForImageClassification"),Ta=l(" forward method, overrides the "),Kt=a("code"),Ra=l("__call__"),ka=l(" special method."),Fa=m(),v(pe.$$.fragment),Ia=m(),v(ge.$$.fragment),Cs=m(),J=a("h2"),me=a("a"),Jt=a("span"),v(Ze.$$.fragment),Ea=m(),Qt=a("span"),ja=l("TFRegNetModel"),Ps=m(),q=a("div"),v(et.$$.fragment),xa=m(),Xt=a("p"),Ca=l("The bare RegNet model outputting raw features without any specific head on top."),Pa=m(),P=a("div"),v(tt.$$.fragment),Aa=m(),Q=a("p"),Ma=l("The "),Tt=a("a"),qa=l("TFRegNetModel"),za=l(" forward method, overrides the "),Yt=a("code"),Sa=l("__call__"),Oa=l(" special method."),Da=m(),v(he.$$.fragment),La=m(),v(ue.$$.fragment),As=m(),X=a("h2"),_e=a("a"),Zt=a("span"),v(st.$$.fragment),Wa=m(),es=a("span"),Ha=l("TFRegNetForImageClassification"),Ms=m(),z=a("div"),v(ot.$$.fragment),Ua=m(),ts=a("p"),Va=l(`RegNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),Ba=m(),A=a("div"),v(at.$$.fragment),Ga=m(),Y=a("p"),Ka=l("The "),Rt=a("a"),Ja=l("TFRegNetForImageClassification"),Qa=l(" forward method, overrides the "),ss=a("code"),Xa=l("__call__"),Ya=l(" special method."),Za=m(),v(we.$$.fragment),er=m(),v(be.$$.fragment),this.h()},l(e){const f=rn('[data-svelte="svelte-1phssyn"]',document.head);d=r(f,"META",{name:!0,content:!0}),f.forEach(s),b=h(e),_=r(e,"H1",{class:!0});var rt=n(_);g=r(rt,"A",{id:!0,class:!0,href:!0});var os=n(g);w=r(os,"SPAN",{});var as=n(w);$(o.$$.fragment,as),as.forEach(s),os.forEach(s),p=h(rt),F=r(rt,"SPAN",{});var rs=n(F);Js=i(rs,"RegNet"),rs.forEach(s),rt.forEach(s),gs=h(e),D=r(e,"H2",{class:!0});var nt=n(D);ee=r(nt,"A",{id:!0,class:!0,href:!0});var ns=n(ee);Mt=r(ns,"SPAN",{});var ls=n(Mt);$(Fe.$$.fragment,ls),ls.forEach(s),ns.forEach(s),Qs=h(nt),qt=r(nt,"SPAN",{});var is=n(qt);Xs=i(is,"Overview"),is.forEach(s),nt.forEach(s),ms=h(e),te=r(e,"P",{});var lt=n(te);Ys=i(lt,"The RegNet model was proposed in "),Ie=r(lt,"A",{href:!0,rel:!0});var sr=n(Ie);Zs=i(sr,"Designing Network Design Spaces"),sr.forEach(s),eo=i(lt," by Ilija Radosavovic, Raj Prateek Kosaraju, Ross Girshick, Kaiming He, Piotr Doll\xE1r."),lt.forEach(s),hs=h(e),dt=r(e,"P",{});var or=n(dt);to=i(or,"The authors design search spaces to perform Neural Architecture Search (NAS). They first start from a high dimensional search space and iteratively reduce the search space by empirically applying constraints based on the best-performing models sampled by the current search space."),or.forEach(s),us=h(e),ct=r(e,"P",{});var ar=n(ct);so=i(ar,"The abstract from the paper is the following:"),ar.forEach(s),_s=h(e),ft=r(e,"P",{});var rr=n(ft);zt=r(rr,"EM",{});var nr=n(zt);oo=i(nr,"In this work, we present a new network design paradigm. Our goal is to help advance the understanding of network design and discover design principles that generalize across settings. Instead of focusing on designing individual network instances, we design network design spaces that parametrize populations of networks. The overall process is analogous to classic manual design of networks, but elevated to the design space level. Using our methodology we explore the structure aspect of network design and arrive at a low-dimensional design space consisting of simple, regular networks that we call RegNet. The core insight of the RegNet parametrization is surprisingly simple: widths and depths of good networks can be explained by a quantized linear function. We analyze the RegNet design space and arrive at interesting findings that do not match the current practice of network design. The RegNet design space provides simple and fast networks that work well across a wide range of flop regimes. Under comparable training settings and flops, the RegNet models outperform the popular EfficientNet models while being up to 5x faster on GPUs."),nr.forEach(s),rr.forEach(s),ws=h(e),pt=r(e,"P",{});var lr=n(pt);ao=i(lr,"Tips:"),lr.forEach(s),bs=h(e),se=r(e,"UL",{});var zs=n(se);Ee=r(zs,"LI",{});var Ss=n(Ee);ro=i(Ss,"One can use "),gt=r(Ss,"A",{href:!0});var ir=n(gt);no=i(ir,"AutoImageProcessor"),ir.forEach(s),lo=i(Ss," to prepare images for the model."),Ss.forEach(s),io=h(zs),oe=r(zs,"LI",{});var ds=n(oe);co=i(ds,"The huge 10B model from "),je=r(ds,"A",{href:!0,rel:!0});var dr=n(je);fo=i(dr,"Self-supervised Pretraining of Visual Features in the Wild"),dr.forEach(s),po=i(ds,", trained on one billion Instagram images, is available on the "),xe=r(ds,"A",{href:!0,rel:!0});var cr=n(xe);go=i(cr,"hub"),cr.forEach(s),ds.forEach(s),zs.forEach(s),vs=h(e),I=r(e,"P",{});var O=n(I);mo=i(O,"This model was contributed by "),Ce=r(O,"A",{href:!0,rel:!0});var fr=n(Ce);ho=i(fr,"Francesco"),fr.forEach(s),uo=i(O,`. The TensorFlow version of the model
was contributed by `),Pe=r(O,"A",{href:!0,rel:!0});var pr=n(Pe);_o=i(pr,"sayakpaul"),pr.forEach(s),wo=i(O," and "),Ae=r(O,"A",{href:!0,rel:!0});var gr=n(Ae);bo=i(gr,"ariG23498"),gr.forEach(s),vo=i(O,`.
The original code can be found `),Me=r(O,"A",{href:!0,rel:!0});var mr=n(Me);$o=i(mr,"here"),mr.forEach(s),yo=i(O,"."),O.forEach(s),$s=h(e),L=r(e,"H2",{class:!0});var Os=n(L);ae=r(Os,"A",{id:!0,class:!0,href:!0});var hr=n(ae);St=r(hr,"SPAN",{});var ur=n(St);$(qe.$$.fragment,ur),ur.forEach(s),hr.forEach(s),No=h(Os),Ot=r(Os,"SPAN",{});var _r=n(Ot);To=i(_r,"Resources"),_r.forEach(s),Os.forEach(s),ys=h(e),mt=r(e,"P",{});var wr=n(mt);Ro=i(wr,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with RegNet."),wr.forEach(s),Ns=h(e),$(ze.$$.fragment,e),Ts=h(e),re=r(e,"UL",{});var Ds=n(re);S=r(Ds,"LI",{});var it=n(S);ht=r(it,"A",{href:!0});var br=n(ht);ko=i(br,"RegNetForImageClassification"),br.forEach(s),Fo=i(it," is supported by this "),Se=r(it,"A",{href:!0,rel:!0});var vr=n(Se);Io=i(vr,"example script"),vr.forEach(s),Eo=i(it," and "),Oe=r(it,"A",{href:!0,rel:!0});var $r=n(Oe);jo=i($r,"notebook"),$r.forEach(s),xo=i(it,"."),it.forEach(s),Co=h(Ds),ut=r(Ds,"LI",{});var tr=n(ut);Po=i(tr,"See also: "),_t=r(tr,"A",{href:!0});var yr=n(_t);Ao=i(yr,"Image classification task guide"),yr.forEach(s),tr.forEach(s),Ds.forEach(s),Rs=h(e),wt=r(e,"P",{});var Nr=n(wt);Mo=i(Nr,"If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Nr.forEach(s),ks=h(e),W=r(e,"H2",{class:!0});var Ls=n(W);ne=r(Ls,"A",{id:!0,class:!0,href:!0});var Tr=n(ne);Dt=r(Tr,"SPAN",{});var Rr=n(Dt);$(De.$$.fragment,Rr),Rr.forEach(s),Tr.forEach(s),qo=h(Ls),Lt=r(Ls,"SPAN",{});var kr=n(Lt);zo=i(kr,"RegNetConfig"),kr.forEach(s),Ls.forEach(s),Fs=h(e),E=r(e,"DIV",{class:!0});var ve=n(E);$(Le.$$.fragment,ve),So=h(ve),H=r(ve,"P",{});var kt=n(H);Oo=i(kt,"This is the configuration class to store the configuration of a "),bt=r(kt,"A",{href:!0});var Fr=n(bt);Do=i(Fr,"RegNetModel"),Fr.forEach(s),Lo=i(kt,`. It is used to instantiate a RegNet
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the RegNet
`),We=r(kt,"A",{href:!0,rel:!0});var Ir=n(We);Wo=i(Ir,"facebook/regnet-y-040"),Ir.forEach(s),Ho=i(kt," architecture."),kt.forEach(s),Uo=h(ve),U=r(ve,"P",{});var Ft=n(U);Vo=i(Ft,"Configuration objects inherit from "),vt=r(Ft,"A",{href:!0});var Er=n(vt);Bo=i(Er,"PretrainedConfig"),Er.forEach(s),Go=i(Ft,` and can be used to control the model outputs. Read the
documentation from `),$t=r(Ft,"A",{href:!0});var jr=n($t);Ko=i(jr,"PretrainedConfig"),jr.forEach(s),Jo=i(Ft," for more information."),Ft.forEach(s),Qo=h(ve),$(le.$$.fragment,ve),ve.forEach(s),Is=h(e),V=r(e,"H2",{class:!0});var Ws=n(V);ie=r(Ws,"A",{id:!0,class:!0,href:!0});var xr=n(ie);Wt=r(xr,"SPAN",{});var Cr=n(Wt);$(He.$$.fragment,Cr),Cr.forEach(s),xr.forEach(s),Xo=h(Ws),Ht=r(Ws,"SPAN",{});var Pr=n(Ht);Yo=i(Pr,"RegNetModel"),Pr.forEach(s),Ws.forEach(s),Es=h(e),M=r(e,"DIV",{class:!0});var It=n(M);$(Ue.$$.fragment,It),Zo=h(It),Ve=r(It,"P",{});var Hs=n(Ve);ea=i(Hs,`The bare RegNet model outputting raw features without any specific head on top.
This model is a PyTorch `),Be=r(Hs,"A",{href:!0,rel:!0});var Ar=n(Be);ta=i(Ar,"torch.nn.Module"),Ar.forEach(s),sa=i(Hs,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Hs.forEach(s),oa=h(It),x=r(It,"DIV",{class:!0});var $e=n(x);$(Ge.$$.fragment,$e),aa=h($e),B=r($e,"P",{});var Et=n(B);ra=i(Et,"The "),yt=r(Et,"A",{href:!0});var Mr=n(yt);na=i(Mr,"RegNetModel"),Mr.forEach(s),la=i(Et," forward method, overrides the "),Ut=r(Et,"CODE",{});var qr=n(Ut);ia=i(qr,"__call__"),qr.forEach(s),da=i(Et," special method."),Et.forEach(s),ca=h($e),$(de.$$.fragment,$e),fa=h($e),$(ce.$$.fragment,$e),$e.forEach(s),It.forEach(s),js=h(e),G=r(e,"H2",{class:!0});var Us=n(G);fe=r(Us,"A",{id:!0,class:!0,href:!0});var zr=n(fe);Vt=r(zr,"SPAN",{});var Sr=n(Vt);$(Ke.$$.fragment,Sr),Sr.forEach(s),zr.forEach(s),pa=h(Us),Bt=r(Us,"SPAN",{});var Or=n(Bt);ga=i(Or,"RegNetForImageClassification"),Or.forEach(s),Us.forEach(s),xs=h(e),j=r(e,"DIV",{class:!0});var ye=n(j);$(Je.$$.fragment,ye),ma=h(ye),Gt=r(ye,"P",{});var Dr=n(Gt);ha=i(Dr,`RegNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),Dr.forEach(s),ua=h(ye),Qe=r(ye,"P",{});var Vs=n(Qe);_a=i(Vs,"This model is a PyTorch "),Xe=r(Vs,"A",{href:!0,rel:!0});var Lr=n(Xe);wa=i(Lr,"torch.nn.Module"),Lr.forEach(s),ba=i(Vs,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Vs.forEach(s),va=h(ye),C=r(ye,"DIV",{class:!0});var Ne=n(C);$(Ye.$$.fragment,Ne),$a=h(Ne),K=r(Ne,"P",{});var jt=n(K);ya=i(jt,"The "),Nt=r(jt,"A",{href:!0});var Wr=n(Nt);Na=i(Wr,"RegNetForImageClassification"),Wr.forEach(s),Ta=i(jt," forward method, overrides the "),Kt=r(jt,"CODE",{});var Hr=n(Kt);Ra=i(Hr,"__call__"),Hr.forEach(s),ka=i(jt," special method."),jt.forEach(s),Fa=h(Ne),$(pe.$$.fragment,Ne),Ia=h(Ne),$(ge.$$.fragment,Ne),Ne.forEach(s),ye.forEach(s),Cs=h(e),J=r(e,"H2",{class:!0});var Bs=n(J);me=r(Bs,"A",{id:!0,class:!0,href:!0});var Ur=n(me);Jt=r(Ur,"SPAN",{});var Vr=n(Jt);$(Ze.$$.fragment,Vr),Vr.forEach(s),Ur.forEach(s),Ea=h(Bs),Qt=r(Bs,"SPAN",{});var Br=n(Qt);ja=i(Br,"TFRegNetModel"),Br.forEach(s),Bs.forEach(s),Ps=h(e),q=r(e,"DIV",{class:!0});var xt=n(q);$(et.$$.fragment,xt),xa=h(xt),Xt=r(xt,"P",{});var Gr=n(Xt);Ca=i(Gr,"The bare RegNet model outputting raw features without any specific head on top."),Gr.forEach(s),Pa=h(xt),P=r(xt,"DIV",{class:!0});var Te=n(P);$(tt.$$.fragment,Te),Aa=h(Te),Q=r(Te,"P",{});var Ct=n(Q);Ma=i(Ct,"The "),Tt=r(Ct,"A",{href:!0});var Kr=n(Tt);qa=i(Kr,"TFRegNetModel"),Kr.forEach(s),za=i(Ct," forward method, overrides the "),Yt=r(Ct,"CODE",{});var Jr=n(Yt);Sa=i(Jr,"__call__"),Jr.forEach(s),Oa=i(Ct," special method."),Ct.forEach(s),Da=h(Te),$(he.$$.fragment,Te),La=h(Te),$(ue.$$.fragment,Te),Te.forEach(s),xt.forEach(s),As=h(e),X=r(e,"H2",{class:!0});var Gs=n(X);_e=r(Gs,"A",{id:!0,class:!0,href:!0});var Qr=n(_e);Zt=r(Qr,"SPAN",{});var Xr=n(Zt);$(st.$$.fragment,Xr),Xr.forEach(s),Qr.forEach(s),Wa=h(Gs),es=r(Gs,"SPAN",{});var Yr=n(es);Ha=i(Yr,"TFRegNetForImageClassification"),Yr.forEach(s),Gs.forEach(s),Ms=h(e),z=r(e,"DIV",{class:!0});var Pt=n(z);$(ot.$$.fragment,Pt),Ua=h(Pt),ts=r(Pt,"P",{});var Zr=n(ts);Va=i(Zr,`RegNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),Zr.forEach(s),Ba=h(Pt),A=r(Pt,"DIV",{class:!0});var Re=n(A);$(at.$$.fragment,Re),Ga=h(Re),Y=r(Re,"P",{});var At=n(Y);Ka=i(At,"The "),Rt=r(At,"A",{href:!0});var en=n(Rt);Ja=i(en,"TFRegNetForImageClassification"),en.forEach(s),Qa=i(At," forward method, overrides the "),ss=r(At,"CODE",{});var tn=n(ss);Xa=i(tn,"__call__"),tn.forEach(s),Ya=i(At," special method."),At.forEach(s),Za=h(Re),$(we.$$.fragment,Re),er=h(Re),$(be.$$.fragment,Re),Re.forEach(s),Pt.forEach(s),this.h()},h(){c(d,"name","hf:doc:metadata"),c(d,"content",JSON.stringify(bn)),c(g,"id","regnet"),c(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(g,"href","#regnet"),c(_,"class","relative group"),c(ee,"id","overview"),c(ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ee,"href","#overview"),c(D,"class","relative group"),c(Ie,"href","https://arxiv.org/abs/2003.13678"),c(Ie,"rel","nofollow"),c(gt,"href","/docs/transformers/main/en/model_doc/auto#transformers.AutoImageProcessor"),c(je,"href","https://arxiv.org/abs/2103.01988"),c(je,"rel","nofollow"),c(xe,"href","https://huggingface.co/facebook/regnet-y-10b-seer"),c(xe,"rel","nofollow"),c(Ce,"href","https://huggingface.co/Francesco"),c(Ce,"rel","nofollow"),c(Pe,"href","https://huggingface.com/sayakpaul"),c(Pe,"rel","nofollow"),c(Ae,"href","https://huggingface.com/ariG23498"),c(Ae,"rel","nofollow"),c(Me,"href","https://github.com/facebookresearch/pycls"),c(Me,"rel","nofollow"),c(ae,"id","resources"),c(ae,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ae,"href","#resources"),c(L,"class","relative group"),c(ht,"href","/docs/transformers/main/en/model_doc/regnet#transformers.RegNetForImageClassification"),c(Se,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/image-classification"),c(Se,"rel","nofollow"),c(Oe,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/image_classification.ipynb"),c(Oe,"rel","nofollow"),c(_t,"href","./tasks/image_classification"),c(ne,"id","transformers.RegNetConfig"),c(ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ne,"href","#transformers.RegNetConfig"),c(W,"class","relative group"),c(bt,"href","/docs/transformers/main/en/model_doc/regnet#transformers.RegNetModel"),c(We,"href","https://huggingface.co/facebook/regnet-y-040"),c(We,"rel","nofollow"),c(vt,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),c($t,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),c(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ie,"id","transformers.RegNetModel"),c(ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ie,"href","#transformers.RegNetModel"),c(V,"class","relative group"),c(Be,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Be,"rel","nofollow"),c(yt,"href","/docs/transformers/main/en/model_doc/regnet#transformers.RegNetModel"),c(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(fe,"id","transformers.RegNetForImageClassification"),c(fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(fe,"href","#transformers.RegNetForImageClassification"),c(G,"class","relative group"),c(Xe,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Xe,"rel","nofollow"),c(Nt,"href","/docs/transformers/main/en/model_doc/regnet#transformers.RegNetForImageClassification"),c(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(me,"id","transformers.TFRegNetModel"),c(me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(me,"href","#transformers.TFRegNetModel"),c(J,"class","relative group"),c(Tt,"href","/docs/transformers/main/en/model_doc/regnet#transformers.TFRegNetModel"),c(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(_e,"id","transformers.TFRegNetForImageClassification"),c(_e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(_e,"href","#transformers.TFRegNetForImageClassification"),c(X,"class","relative group"),c(Rt,"href","/docs/transformers/main/en/model_doc/regnet#transformers.TFRegNetForImageClassification"),c(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,f){t(document.head,d),u(e,b,f),u(e,_,f),t(_,g),t(g,w),y(o,w,null),t(_,p),t(_,F),t(F,Js),u(e,gs,f),u(e,D,f),t(D,ee),t(ee,Mt),y(Fe,Mt,null),t(D,Qs),t(D,qt),t(qt,Xs),u(e,ms,f),u(e,te,f),t(te,Ys),t(te,Ie),t(Ie,Zs),t(te,eo),u(e,hs,f),u(e,dt,f),t(dt,to),u(e,us,f),u(e,ct,f),t(ct,so),u(e,_s,f),u(e,ft,f),t(ft,zt),t(zt,oo),u(e,ws,f),u(e,pt,f),t(pt,ao),u(e,bs,f),u(e,se,f),t(se,Ee),t(Ee,ro),t(Ee,gt),t(gt,no),t(Ee,lo),t(se,io),t(se,oe),t(oe,co),t(oe,je),t(je,fo),t(oe,po),t(oe,xe),t(xe,go),u(e,vs,f),u(e,I,f),t(I,mo),t(I,Ce),t(Ce,ho),t(I,uo),t(I,Pe),t(Pe,_o),t(I,wo),t(I,Ae),t(Ae,bo),t(I,vo),t(I,Me),t(Me,$o),t(I,yo),u(e,$s,f),u(e,L,f),t(L,ae),t(ae,St),y(qe,St,null),t(L,No),t(L,Ot),t(Ot,To),u(e,ys,f),u(e,mt,f),t(mt,Ro),u(e,Ns,f),y(ze,e,f),u(e,Ts,f),u(e,re,f),t(re,S),t(S,ht),t(ht,ko),t(S,Fo),t(S,Se),t(Se,Io),t(S,Eo),t(S,Oe),t(Oe,jo),t(S,xo),t(re,Co),t(re,ut),t(ut,Po),t(ut,_t),t(_t,Ao),u(e,Rs,f),u(e,wt,f),t(wt,Mo),u(e,ks,f),u(e,W,f),t(W,ne),t(ne,Dt),y(De,Dt,null),t(W,qo),t(W,Lt),t(Lt,zo),u(e,Fs,f),u(e,E,f),y(Le,E,null),t(E,So),t(E,H),t(H,Oo),t(H,bt),t(bt,Do),t(H,Lo),t(H,We),t(We,Wo),t(H,Ho),t(E,Uo),t(E,U),t(U,Vo),t(U,vt),t(vt,Bo),t(U,Go),t(U,$t),t($t,Ko),t(U,Jo),t(E,Qo),y(le,E,null),u(e,Is,f),u(e,V,f),t(V,ie),t(ie,Wt),y(He,Wt,null),t(V,Xo),t(V,Ht),t(Ht,Yo),u(e,Es,f),u(e,M,f),y(Ue,M,null),t(M,Zo),t(M,Ve),t(Ve,ea),t(Ve,Be),t(Be,ta),t(Ve,sa),t(M,oa),t(M,x),y(Ge,x,null),t(x,aa),t(x,B),t(B,ra),t(B,yt),t(yt,na),t(B,la),t(B,Ut),t(Ut,ia),t(B,da),t(x,ca),y(de,x,null),t(x,fa),y(ce,x,null),u(e,js,f),u(e,G,f),t(G,fe),t(fe,Vt),y(Ke,Vt,null),t(G,pa),t(G,Bt),t(Bt,ga),u(e,xs,f),u(e,j,f),y(Je,j,null),t(j,ma),t(j,Gt),t(Gt,ha),t(j,ua),t(j,Qe),t(Qe,_a),t(Qe,Xe),t(Xe,wa),t(Qe,ba),t(j,va),t(j,C),y(Ye,C,null),t(C,$a),t(C,K),t(K,ya),t(K,Nt),t(Nt,Na),t(K,Ta),t(K,Kt),t(Kt,Ra),t(K,ka),t(C,Fa),y(pe,C,null),t(C,Ia),y(ge,C,null),u(e,Cs,f),u(e,J,f),t(J,me),t(me,Jt),y(Ze,Jt,null),t(J,Ea),t(J,Qt),t(Qt,ja),u(e,Ps,f),u(e,q,f),y(et,q,null),t(q,xa),t(q,Xt),t(Xt,Ca),t(q,Pa),t(q,P),y(tt,P,null),t(P,Aa),t(P,Q),t(Q,Ma),t(Q,Tt),t(Tt,qa),t(Q,za),t(Q,Yt),t(Yt,Sa),t(Q,Oa),t(P,Da),y(he,P,null),t(P,La),y(ue,P,null),u(e,As,f),u(e,X,f),t(X,_e),t(_e,Zt),y(st,Zt,null),t(X,Wa),t(X,es),t(es,Ha),u(e,Ms,f),u(e,z,f),y(ot,z,null),t(z,Ua),t(z,ts),t(ts,Va),t(z,Ba),t(z,A),y(at,A,null),t(A,Ga),t(A,Y),t(Y,Ka),t(Y,Rt),t(Rt,Ja),t(Y,Qa),t(Y,ss),t(ss,Xa),t(Y,Ya),t(A,Za),y(we,A,null),t(A,er),y(be,A,null),qs=!0},p(e,[f]){const rt={};f&2&&(rt.$$scope={dirty:f,ctx:e}),le.$set(rt);const os={};f&2&&(os.$$scope={dirty:f,ctx:e}),de.$set(os);const as={};f&2&&(as.$$scope={dirty:f,ctx:e}),ce.$set(as);const rs={};f&2&&(rs.$$scope={dirty:f,ctx:e}),pe.$set(rs);const nt={};f&2&&(nt.$$scope={dirty:f,ctx:e}),ge.$set(nt);const ns={};f&2&&(ns.$$scope={dirty:f,ctx:e}),he.$set(ns);const ls={};f&2&&(ls.$$scope={dirty:f,ctx:e}),ue.$set(ls);const is={};f&2&&(is.$$scope={dirty:f,ctx:e}),we.$set(is);const lt={};f&2&&(lt.$$scope={dirty:f,ctx:e}),be.$set(lt)},i(e){qs||(N(o.$$.fragment,e),N(Fe.$$.fragment,e),N(qe.$$.fragment,e),N(ze.$$.fragment,e),N(De.$$.fragment,e),N(Le.$$.fragment,e),N(le.$$.fragment,e),N(He.$$.fragment,e),N(Ue.$$.fragment,e),N(Ge.$$.fragment,e),N(de.$$.fragment,e),N(ce.$$.fragment,e),N(Ke.$$.fragment,e),N(Je.$$.fragment,e),N(Ye.$$.fragment,e),N(pe.$$.fragment,e),N(ge.$$.fragment,e),N(Ze.$$.fragment,e),N(et.$$.fragment,e),N(tt.$$.fragment,e),N(he.$$.fragment,e),N(ue.$$.fragment,e),N(st.$$.fragment,e),N(ot.$$.fragment,e),N(at.$$.fragment,e),N(we.$$.fragment,e),N(be.$$.fragment,e),qs=!0)},o(e){T(o.$$.fragment,e),T(Fe.$$.fragment,e),T(qe.$$.fragment,e),T(ze.$$.fragment,e),T(De.$$.fragment,e),T(Le.$$.fragment,e),T(le.$$.fragment,e),T(He.$$.fragment,e),T(Ue.$$.fragment,e),T(Ge.$$.fragment,e),T(de.$$.fragment,e),T(ce.$$.fragment,e),T(Ke.$$.fragment,e),T(Je.$$.fragment,e),T(Ye.$$.fragment,e),T(pe.$$.fragment,e),T(ge.$$.fragment,e),T(Ze.$$.fragment,e),T(et.$$.fragment,e),T(tt.$$.fragment,e),T(he.$$.fragment,e),T(ue.$$.fragment,e),T(st.$$.fragment,e),T(ot.$$.fragment,e),T(at.$$.fragment,e),T(we.$$.fragment,e),T(be.$$.fragment,e),qs=!1},d(e){s(d),e&&s(b),e&&s(_),R(o),e&&s(gs),e&&s(D),R(Fe),e&&s(ms),e&&s(te),e&&s(hs),e&&s(dt),e&&s(us),e&&s(ct),e&&s(_s),e&&s(ft),e&&s(ws),e&&s(pt),e&&s(bs),e&&s(se),e&&s(vs),e&&s(I),e&&s($s),e&&s(L),R(qe),e&&s(ys),e&&s(mt),e&&s(Ns),R(ze,e),e&&s(Ts),e&&s(re),e&&s(Rs),e&&s(wt),e&&s(ks),e&&s(W),R(De),e&&s(Fs),e&&s(E),R(Le),R(le),e&&s(Is),e&&s(V),R(He),e&&s(Es),e&&s(M),R(Ue),R(Ge),R(de),R(ce),e&&s(js),e&&s(G),R(Ke),e&&s(xs),e&&s(j),R(Je),R(Ye),R(pe),R(ge),e&&s(Cs),e&&s(J),R(Ze),e&&s(Ps),e&&s(q),R(et),R(tt),R(he),R(ue),e&&s(As),e&&s(X),R(st),e&&s(Ms),e&&s(z),R(ot),R(at),R(we),R(be)}}}const bn={local:"regnet",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.RegNetConfig",title:"RegNetConfig"},{local:"transformers.RegNetModel",title:"RegNetModel"},{local:"transformers.RegNetForImageClassification",title:"RegNetForImageClassification"},{local:"transformers.TFRegNetModel",title:"TFRegNetModel"},{local:"transformers.TFRegNetForImageClassification",title:"TFRegNetForImageClassification"}],title:"RegNet"};function vn(k){return nn(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class In extends sn{constructor(d){super();on(this,d,vn,wn,an,{})}}export{In as default,bn as metadata};
